Skip to main content
Pagination parameters deprecated on December, 15th 2025.
https://www.google.com/maps/search/hotels+new+york/?start=20

Parameters

q
string
required
The search path parameter. Specifies the keyword or phrase you want to search for on Google Maps.
start
string
deprecated
Define the result offset - results to start from the selected value. Used for managing pagination.
https://www.google.com/maps/search/hotels+new+york/?start=20
num
string
deprecated
Deprecated As of September 11, 2025 by Google
  • The Number of results to return is usually 10, results’ set size may vary.
  • The start parameters can be used to paginate within results’ set. 
  • To get top 100 results, Bright Data offes a Web Scraping API. Read more here: Get top google 100 results in one API call
  curl -X POST https://api.brightdata.com/request \
  --header "Content-Type: application/json" \
  --header "Authorization: Bearer API_KEY" \
  --data '{
    "zone": "serp_api1",
    "url": "https://www.google.com/maps/search/hotels+new+york/?start=20",
    "format": "raw"
  }'